Absinthe 2.0.4 Fixes IPhone 4S Jailbreak Error, Supports New iPad 2

The Absinthe 2.0 jailbrek tool arrived last week with the ability to jailbreak most Apple devices, but there was one version of the iPad 2 that could not be jailbroken with the tool.

The Chronic Dev Team updated Absinthe with an iPhone 4S Jailbreak fix and support for the iPad 2,4.

The iPad 2,4 is better known as the new $399 iPad 2 model with a smaller chip and better battery life. Absinthe 2.0.4 can jailbreak the iPad 2, no matter which model you own.

The newest version of Absinthe also fixes the lockdown error -5 issue that prevented some users from performing the iPhone 4S jailbreak.

Absinthe 2.0.4 iPhone 4S Jailbreak

Absinthe 2.0.4 brings a fix for iPhone 4S jailbreak errors and support for iPad 2,4.


This update should fix many of the issues that put iPhone 4S jailbreakers on lock down. If you have trouble jailbreaking the iPhone 4S or iPad, download the latest version of Absinthe 2 and start over.

Instead of resetting the iPhone or iPad on the device, I suggest using the Restore option in iTunes to ensure a smooth jailbreak.

Check out How to Jailbreak the iPhone 4S and our iPhone 4S Jailbreak Guide for more information.

There are many reasons to jailbreak the iPhone 4S and the iPad, but the ability to install any app and to customize the look of iOS 5.1.1 is one of the biggest reasons.

I chose to jailbreak my iPhone 4S, but I won’t jailbreak my iPad because I rely on it for entertainment apps that try to block jailbreak apps from working. While there are workarounds for many of these I don’t want to hassle with getting around a block just to watch a movie.